Bug 30473 - Convert suggestions page tabs to Bootstrap
Summary: Convert suggestions page tabs to Bootstrap
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29226
  Show dependency treegraph
 
Reported: 2022-04-06 15:35 UTC by Owen Leonard
Modified: 2022-05-13 16:34 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30473: Convert suggestions page tabs to Bootstrap (44.29 KB, patch)
2022-04-06 16:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30473: Convert suggestions page tabs to Bootstrap (44.35 KB, patch)
2022-04-11 15:50 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30473: Convert suggestions page tabs to Bootstrap (44.45 KB, patch)
2022-04-20 15:29 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30473: Convert suggestions page tabs to Bootstrap (45.99 KB, patch)
2022-05-04 13:57 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-06 15:35:39 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in the suggestions template with Bootstrap.
Comment 1 Owen Leonard 2022-04-06 16:01:44 UTC
Created attachment 133044 [details] [review]
Bug 30473: Convert suggestions page tabs to Bootstrap

This patch updates the suggestions page to use Bootstrap tabs
instead of jQueryUI.

To test you should have multiple suggestions from different libraries,
different item types, and different statuses.

Apply the patch and go to Suggestions.

- Suggestions should initially be displayed in tabs by status.
- Confirm that the tabs look correct and work correctly.
- Test that tabs work correctly for each option in the "Organize by"
  dropdown in the left-hand sidebar.
Comment 2 Lucas Gass 2022-04-11 15:45:00 UTC
Everything works as described. I have no very minor complaint:

Before the patch there is some padding-top of the UI tabs which gives them a little bit of space after the select dropdown. ( #branchcode )

With the patch there is no padding and the select dropdown sits right on top of the tabs.
Comment 3 Lucas Gass 2022-04-11 15:49:52 UTC
(In reply to Lucas Gass from comment #2)
> Everything works as described. I have no very minor complaint:
> 
> Before the patch there is some padding-top of the UI tabs which gives them a
> little bit of space after the select dropdown. ( #branchcode )
> 
> With the patch there is no padding and the select dropdown sits right on top
> of the tabs.

It's a very nit-picky problem and not enough to 'Fail QA' imo, so I am signing off.
Comment 4 Lucas Gass 2022-04-11 15:50:38 UTC
Created attachment 133182 [details] [review]
Bug 30473: Convert suggestions page tabs to Bootstrap

This patch updates the suggestions page to use Bootstrap tabs
instead of jQueryUI.

To test you should have multiple suggestions from different libraries,
different item types, and different statuses.

Apply the patch and go to Suggestions.

- Suggestions should initially be displayed in tabs by status.
- Confirm that the tabs look correct and work correctly.
- Test that tabs work correctly for each option in the "Organize by"
  dropdown in the left-hand sidebar.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 5 Owen Leonard 2022-04-11 16:30:25 UTC
(In reply to Lucas Gass from comment #2)

> With the patch there is no padding and the select dropdown sits right on top
> of the tabs.

The fix for this is in Bug 30466. I didn't make them dependent because it's such a small thing.
Comment 6 Martin Renvoize 2022-04-20 15:29:55 UTC
Created attachment 133484 [details] [review]
Bug 30473: Convert suggestions page tabs to Bootstrap

This patch updates the suggestions page to use Bootstrap tabs
instead of jQueryUI.

To test you should have multiple suggestions from different libraries,
different item types, and different statuses.

Apply the patch and go to Suggestions.

- Suggestions should initially be displayed in tabs by status.
- Confirm that the tabs look correct and work correctly.
- Test that tabs work correctly for each option in the "Organize by"
  dropdown in the left-hand sidebar.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2022-04-20 15:31:12 UTC
Great to hear my only concern is already fixed in bug 30466.. PQA
Comment 8 Fridolin Somers 2022-05-02 20:22:37 UTC
Hi,

With this patch, if table has no content, you see a rectangle.
Looks like this comes from :
+                    <div class="tab-content">
Comment 9 Fridolin Somers 2022-05-03 20:26:16 UTC
(In reply to Fridolin Somers from comment #8)
> Hi,
> 
> With this patch, if table has no content, you see a rectangle.
> Looks like this comes from :
> +                    <div class="tab-content">

This is really minor, it can be done later.

Patch needs rebase please.
Comment 10 Owen Leonard 2022-05-04 13:57:48 UTC
Created attachment 134611 [details] [review]
Bug 30473: Convert suggestions page tabs to Bootstrap

This patch updates the suggestions page to use Bootstrap tabs
instead of jQueryUI.

To test you should have multiple suggestions from different libraries,
different item types, and different statuses.

Apply the patch and go to Suggestions.

- Suggestions should initially be displayed in tabs by status.
- Confirm that the tabs look correct and work correctly.
- Test that tabs work correctly for each option in the "Organize by"
  dropdown in the left-hand sidebar.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 11 Fridolin Somers 2022-05-04 20:37:12 UTC
Lets push like this.
I try to have all bugs of this topic in 22.05 release
Comment 12 Fridolin Somers 2022-05-05 00:32:45 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄